using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Common
{
    public class MeterWorkCraneActual
    {
		/// <summary>
		/// 计量作业编号
		/// <summary>
		//[AttributeID("actualFirstNo")]
		[Description("计量编号")]
		public string actualFirstNo { get; set; }

		/// <summary>
		/// 预报编号
		/// <summary>
		[Description("预报编号")]
		public string predictionNo { get; set; }

		/// <summary>
		/// 通知单号
		/// <summary>
		[Description("通知单号")]
		public string noticeNo { get; set; }

		/// <summary>
		/// 车号
		/// <summary>
		[Description("车号")]
		public string carNo { get; set; }

		/// <summary>
		/// 挂号
		/// <summary>
		[Description("挂号")]
		public string trailerNo { get; set; }

		/// <summary>
		/// 物料编号
		/// <summary>
		[Description("物料编号")]
		public string matterNo { get; set; }

		/// <summary>
		/// 物料名称
		/// <summary>
		[Description("物料名称")]
		public string matterName { get; set; }

		/// <summary>
		/// 合同号
		/// <summary>
		[Description("合同号")]
		public string contractNo { get; set; }

		/// <summary>
		/// 批次号
		/// <summary>
		[Description("批次号")]
		public string batchNo { get; set; }

		/// <summary>
		/// 供应商编号
		/// <summary>
		[Description("供应商编号")]
		public string customerSupplierNo { get; set; }

		/// <summary>
		/// 供应商名称
		/// <summary>
		[Description("供应商")]
		public string customerSupplierName { get; set; }

		/// <summary>
		/// 发货单位编号
		/// <summary>
		[Description("发货单位编号")]
		public string forwardingUnitNo { get; set; }

		/// <summary>
		/// 发货单位名称
		/// <summary>
		[Description("发货单位")]
		public string forwardingUnitName { get; set; }

		/// <summary>
		/// 收货单位编号
		/// <summary>
		[Description("收货单位编号")]
		public string receivingUintNo { get; set; }

		/// <summary>
		/// 收货单位名称
		/// <summary>
		[Description("收货单位")]
		public string receivingUintName { get; set; }

		/// <summary>
		/// 材质编号
		/// <summary>
		[Description("材质编号")]
		public string materialNo { get; set; }

		/// <summary>
		/// 材质名称
		/// <summary>
		[Description("材质")]
		public string materialName { get; set; }

		/// <summary>
		/// 规格编号
		/// <summary>
		[Description("规格编号")]
		public string specNo { get; set; }

		/// <summary>
		/// 规格名称
		/// <summary>
		[Description("规格")]
		public string specName { get; set; }

		/// <summary>
		/// 发运毛重
		/// <summary>
		[Description("发运毛重")]
		public double? shipmentGrossWeight { get; set; }

		/// <summary>
		/// 发运净重
		/// <summary>
		[Description("发运净重")]
		public double? shipmentNetWeight { get; set; }

		/// <summary>
		/// 发运数量
		/// <summary>
		[Description("发运数量")]
		public long? shipmentNum { get; set; }

		/// <summary>
		/// 绑定卡号
		/// <summary>
		[Description("卡号")]
		public string bindCardNo { get; set; }

		/// <summary>
		/// 卸货地点编号
		/// <summary>
		[Description("卸货地点编号")]
		public string loadPointNo { get; set; }

		/// <summary>
		/// 卸货地点名称
		/// <summary>
		[Description("卸货地点")]
		public string loadPointName { get; set; }

		/// <summary>
		/// 承运单位编号
		/// <summary>
		[Description("承运单位编号")]
		public string carrierUnitNo { get; set; }

		/// <summary>
		/// 承运单位名称
		/// <summary>
		[Description("承运单位")]
		public string carrierUnitName { get; set; }

		/// <summary>
		/// 预报类型
		/// <summary>
		[Description("预报类型")]
		public string predictionType { get; set; }

		/// <summary>
		/// 预报组合
		/// <summary>
		[Description("预报组合")]
		public string predictionCombination { get; set; }

		/// <summary>
		/// 计量类型编号
		/// <summary>
		[Description("计量类型编号")]
		public string meterTypeNo { get; set; }

		/// <summary>
		/// 计量类型名称
		/// <summary>
		[Description("计量类型")]
		public string meterTypeName { get; set; }

		/// <summary>
		/// 计量重量
		/// <summary>
		[Description("计量重量")]
		public double? meterWeight { get; set; }

		/// <summary>
		/// 计量数量
		/// <summary>
		[Description("计量数量")]
		public long? meterNum { get; set; }

		/// <summary>
		/// 重量类型
		/// <summary>
		[Description("重量类型")]
		public string weightType { get; set; }

		/// <summary>
		/// 计量员编号
		/// <summary>
		[Description("计量员编号")]
		public string createManNo { get; set; }

		/// <summary>
		/// 计量员姓名
		/// <summary>
		[Description("计量员")]
		public string createManName { get; set; }

		/// <summary>
		/// 计量时间
		/// <summary>
		[Description("计量时间")]
		public DateTime? createTime { get; set; }

		/// <summary>
		/// 计量点编号
		/// <summary>
		[Description("计量点编号")]
		public string baseSpotNo { get; set; }

		/// <summary>
		/// 计量点名称
		/// <summary>
		[Description("计量点")]
		public string baseSpotName { get; set; }

		/// <summary>
		/// 班次
		/// <summary>
		[Description("班次")]
		public string meterClass { get; set; }

		/// <summary>
		/// 班组
		/// <summary>
		[Description("班组")]
		public string meterGroup { get; set; }

		/// <summary>
		/// 备注
		/// <summary>
		[Description("备注")]
		public string memo { get; set; }

		/// <summary>
		/// 状态
		/// <summary>
		[Description("状态")]
		public string valueFlag { get; set; }

		/// <summary>
		/// 计量员编号
		/// <summary>
		[Description("修改人编号")]
		public string updateManNo { get; set; }

		/// <summary>
		/// 计量员姓名
		/// <summary>
		[Description("修改人")]
		public string updateManName { get; set; }

		/// <summary>
		/// 计量时间
		/// <summary>
		[Description("修改时间")]
		public DateTime? updateTime { get; set; }

		[Description("序号")]
		public int? seqnum { get; set; }

		public DateTime? startTime { get; set; }

		public DateTime? endTime { get; set; }
	}
}
